<?php

namespace App\QcRules;

class Invoice_Filter_CorporateRemark extends FilterRemarkAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\QcRules\FilterAbstract::checkFields()
	 */
	public function checkFields(\App\QcRules\FieldsAbstract $fields, $context='')
	{
		$corporateRemarks = \Entity\Corporate::select($fields->idCorporate)->processedRemarks;
		return $this->checkFields_oneValue($corporateRemarks[$this->remarkVar]);
	}

}

